package com.ningdatech.pmapi.common.model;

import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/8/4 上午11:19
 */
@Data
public class CommonPageReq {
    private static final long serialVersionUID = 1L;
    private int pageSize;
    private int pageNumber;

    public int getOffset() {
        return (this.getPageNumber() - 1) * this.getPageSize();
    }

    public int getLimit() {
        return this.getPageSize();
    }
}
